# Functions for running the package manager
#
# Copyright (C) 2014  Patrick "P. J." McDermott
#
# This file is part of the ProteanOS Development Kit.
#
# The ProteanOS Development Kit is free software: you can redistribute
# it and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# The ProteanOS Development Kit is distributed in the hope that it
# will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with the ProteanOS Development Kit.  If not, see
# <http://www.gnu.org/licenses/>.

[ "x${_OPKG_SM+set}" = 'xset' ] && return 0
_OPKG_SM=1

use session

opkg_install_all()
{
	local root="${1}"

	session_begin "${root}" . : true
	session_exec /bin/sh -c \
		'opkg install $(opkg list-installed | cut -d " " -f 1)'
	session_end
}
